Bug 1537230 - [FTBFS] rabbitmq-java-client FTBFS in Fedora rawhide (F28)
Summary: [FTBFS] rabbitmq-java-client FTBFS in Fedora rawhide (F28)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitmq-java-client
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 17:24 UTC by Troy Dawson
Modified: 2018-07-20 11:46 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-07-20 11:46:08 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1397227 None None None Never

Internal Trackers: 1397227

Description Troy Dawson 2018-01-22 17:24:36 UTC
Description of problem:
rabbitmq-java-client

Version-Release number of selected component (if applicable):
rabbitmq-java-client-3.6.6-1

How reproducible:
100%

Steps to Reproduce:
1. fedpkg clone rabbitmq-java-client
2. cd rabbitmq-java-client
3. fedpkg build

Actual results:
https://koji.fedoraproject.org/koji/taskinfo?taskID=24374588

  FAILED: BuildError: error building srpm, mock exited with status 1; see build.log for more information

From the build log:
  error: File /builddir/build/SOURCES/rabbitmq-java-client-3.6.6.tar.gz: No such file or directory

Expected results:
The package should build

Additional info:
This package has FTBFS since the spec file was updated to 3.6.6, but there was no source uploaded.

$ cat sources 
a750bb71b6f6b82ada4a48e41fca1f88  rabbitmq-java-client-3.6.5.tar.gz

There are no rabbitmq-java-client-3.6.6 builds in koji or fedora.  It is possible that this could be fixed by just changing the spec file back to 3.6.5

Comment 1 Fedora End Of Life 2018-02-20 15:39:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Raphael Groner 2018-03-14 18:15:03 UTC
Latest upstream release has version 5.2.0 but the build system changed significantly, as already noted.
Reasons why not to update were discussed in bug #1397227.

Comment 3 Mikolaj Izdebski 2018-07-20 11:15:01 UTC
Fixed in rabbitmq-java-client-3.6.5-6

Comment 4 Mikolaj Izdebski 2018-07-20 11:46:08 UTC
Fixed in rawhide: https://koji.fedoraproject.org/koji/buildinfo?buildID=1128999


Note You need to log in before you can comment on or make changes to this bug.